name: walkguide_app
description: "WalkGuide - AI Navigation for Visually Impaired"
publish_to: 'none'
version: 1.0.0+1

environment:
  sdk: '>=3.6.0 <4.0.0'

dependencies:
  flutter:
    sdk: flutter

  # State management
  flutter_bloc: ^8.1.6

  # Navigation
  go_router: ^14.2.7

  # Network
  dio: ^5.4.3+1

  # Storage
  flutter_secure_storage: ^9.2.2
  shared_preferences: ^2.3.2
  drift: ^2.18.0
  sqlite3_flutter_libs: ^0.5.24
  path_provider: ^2.1.3
  path: ^1.9.0

  # Firebase / FCM
  firebase_core: ^3.3.0
  firebase_messaging: ^15.1.0
  flutter_local_notifications: ^17.2.1+2

  # Camera & AI
  camera: ^0.11.0+2
  tflite_flutter: ^0.10.4
  image: ^4.2.0

  # Audio & TTS
  flutter_tts: ^4.0.2
  speech_to_text: ^7.0.0
  just_audio: ^0.9.40
  record: ^5.1.2

  # Maps (OpenStreetMap - FREE)
  flutter_map: ^7.0.2
  latlong2: ^0.9.1

  # Location
  geolocator: ^12.0.0

  # Agora VoIP
  agora_rtc_engine: ^6.3.2

  # Permissions
  permission_handler: ^11.3.1

  # Haptic
  vibration: ^2.0.0

  # Connectivity
  connectivity_plus: ^6.0.3
  web_socket_channel: ^3.0.3

  # Functional programming (Either)
  dartz: ^0.10.1

  # DI
  get_it: ^8.0.2

  # UI
  google_fonts: ^6.2.1
  flutter_animate: ^4.5.0
  cupertino_icons: ^1.0.8
  cached_network_image: ^3.3.1
  shimmer: ^3.0.0
  intl: ^0.20.2

  # STOMP client untuk WebSocket
  stomp_dart_client: ^2.1.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^4.0.0
  build_runner: ^2.4.11
  drift_dev: ^2.18.0
  integration_test:
    sdk: flutter
  mockito: ^5.4.4
  bloc_test: ^9.1.7

dependency_overrides:
  record_linux: ^1.3.0

flutter:
  uses-material-design: true
  assets:
    - assets/images/
    - assets/models/
